## golang-google-grpc 1.38.0%2Breally1.33.3

=== debian/changelog ===
golang-google-grpc (1.38.0+really1.33.3-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:03 +1200

golang-google-grpc (1.38.0+really1.33.3-1) unstable; urgency=medium

  * Team upload
  * Bump version number to 1.38.0+really1.33.3-1 to roll back from
    a previous inadvertent upload of experimental 1.38.0-5 (with API
    version change) to unstable on 2023-06-23
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Add Static-Built-Using field in debian/control
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Tue, 04 Jul 2023 22:18:19 -0600

golang-google-grpc (1.38.0-5) unstable; urgency=medium

  * Team upload.
  * Use golang-github-golang-protobuf-1-5-dev instead of golang-goprotobuf-dev
    (>= 1.4.3~),

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Nov 2022 14:16:53 +0100
