## golang-google-grpc 1.38.0+really1.33.3

=== debian/changelog ===
golang-google-grpc (1.38.0+really1.33.3-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 12:26:05 +1000

golang-google-grpc (1.38.0+really1.33.3-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 14:14:28 +1000

golang-google-grpc (1.38.0+really1.33.3-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:32:08 +0530
