## golang-google-grpc 1.38.1

=== debian/changelog ===
golang-google-grpc (1.38.1-1) experimental; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Use golang-github-golang-protobuf-1-5-dev instead of golang-goprotobuf-dev
    in runtime depends as well (Closes: #1026139)

  [ Shengjing Zhu (cherry-picked by Anthony Fok from unstable (incomplete)) ]
  * Use git tag in uscan watch file.
    To download older versions which are not in first page.
  * Update Section to golang
  * Update DH_GOLANG_EXCLUDES for all binary packages
  * Drop golang-github-golang-mock-dev from Depends
  * Add a new protoc-gen-go-grpc package.
    It can generate gRPC service with Go protobuf APIv2.
  * Update copyright
  * Add Multi-Arch
  * Update Standards-Version to 4.6.2 (no changes)
  * Adjust DH_GOLANG_EXCLUDES for new version
  * Enable test in grpc_service_config

  [ Anthony Fok ]
  * New upstream version 1.38.1
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Add Static-Built-Using field in debian/control
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Remove from DH_GOLANG_EXCLUDES credentials/tls/certprovider/meshca
    which was removed upstream in v1.38.0
  * Fix destination paths of the two extra xds files for gitaly

 -- Anthony Fok <foka@debian.org>  Tue, 04 Jul 2023 23:55:09 -0600
