=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_EXCLUDES := \
  benchmark \
  examples \
  interop/alts \
  interop \
  profiling \
  security/advancedtls \
  security/authorization \
  stress \
  test/go_vet \
  test/tools \
  xds

export DH_GOLANG_INSTALL_EXTRA = regenerate.sh

%:
	dh $@ --buildsystem=golang --builddirectory=_build

#override_dh_auto_configure:
#	dh_auto_configure
### Build integrity: remove generated .pb.go files whenever possible:
#	-find _build \
#            -not -path '*/binarylog/grpc_binarylog_v1/*' \
#            -not -path '*/reflection/*' \
#            -type f -name '*.pb.go' -delete -printf 'removed %p\n'

override_dh_auto_test:
	# internal/resolver/dns test is unreliable.
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) internal/resolver/dns" \
	dh_auto_test -- -short

execute_after_dh_auto_install:
	cp credentials/google/xds.go debian/tmp/usr/share/gocode/src/google.golang.org/grpc/credentials/google/
	cp internal/xds_handshake_cluster.go debian/tmp/usr/share/gocode/src/google.golang.org/grpc/internal/
