=== debian/control ===
Source: golang-google-grpc
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Tim Potter <tpot@hpe.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-cel-go-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-uuid-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-go.opencensus-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-cloud-dev,
               golang-google-genproto-dev (>= 0.0~git20210726.e7812ac-4),
               golang-google-protobuf-dev,
               protobuf-compiler (>= 3.11.4~),
               protoc-gen-go
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-grpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-grpc.git
Homepage: https://godoc.org/google.golang.org/grpc
XS-Go-Import-Path: google.golang.org/grpc

Package: golang-google-grpc-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-cel-go-dev,
         golang-github-google-go-cmp-dev,
         golang-github-google-uuid-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-go.opencensus-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-cloud-dev,
         golang-google-genproto-dev (>= 0.0~git20210726.e7812ac-4),
         golang-google-protobuf-dev,
         ${misc:Depends}
Provides: golang-github-grpc-grpc-go-dev
Breaks: golang-collectd-dev (<< 0.5.0+git20240104.26404de-1),
        golang-etcd-server-dev (<< 3.5.15-2),
        golang-github-docker-notary-dev (<< 0.7.0+git20240416.9d2b3b3+ds1-2),
        golang-github-expediadotcom-haystack-client-go-dev (<< 0.2.3-3),
        golang-github-go-kit-kit-dev (<< 0.13.0-1),
        golang-github-grpc-ecosystem-go-grpc-middleware-dev (<< 2.1.0-1),
        golang-github-grpc-ecosystem-go-grpc-prometheus-dev (<< 1.2.0+git20191002.6af20e3-5),
        golang-github-grpc-ecosystem-grpc-gateway-dev (<< 2.20.0-2),
        golang-github-lightstep-lightstep-tracer-common-dev (<< 1.1.0+git20210210.a8dfcb8-6),
        golang-github-opentracing-contrib-go-grpc-dev (<< 0.0~git20240724.9dec25a-1),
        golang-github-openzipkin-zipkin-go-dev (<< 0.4.3-1),
        golang-github-sercand-kuberesolver-dev (<< 5.1.1-1),
        golang-google-cloud-dev (<< 0.56.0-5),
        golang-go.opencensus-dev (<< 0.24.0-2)
Description: implementation of gRPC in Go
 Implementation of an RPC system called gRPC in Golang.
 .
 Remote Procedure Calls (RPCs) provide a useful abstraction for building
 distributed applications and services. This library provides a concrete
 implementation of the gRPC protocol, layered over HTTP/2.

Package: protoc-gen-go-grpc
Architecture: any
Depends: libprotobuf-dev, protobuf-compiler, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: gRPC plugin for protobuf compiler
 This protobuf compiler plugin generates gRPC service definitions for the
 protocol buffer defined by file.proto.
 .
 The new protoc-gen-go plugin (provided by google.golang.org/protobuf) no longer
 supports generating gRPC service.
