## golang-google-grpc 1.66.3

=== debian/changelog ===
golang-google-grpc (1.66.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Oct 2025 14:02:01 -0400

golang-google-grpc (1.66.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release 1.66.3.
    - transport: Fix stream failures due to incorrect flow control
      window calculation in both clients and servers. (upstream #7667)
    - xds/server: Fix memory leak in xDS Server. (upstream #7681)

  * New upstream release 1.66.2.
    - client: Fix bug preventing memory reuse after unary RPCs,
      improving efficiency and reducing allocations. (upstream #7571)

  * New upstream release 1.66.0.
    - metadata: Stabilize ValueFromIncomingContext API. (upstream #7368)
    - client: Stabilize WaitForStateChange and GetState methods,
      previously experimental. (upstream #7425)
    - xds: Implement ADS flow control mechanism. (upstream #7458)
    - balancer/rls: Add metrics for data cache and picker internals.
      (upstream #7484, #7495)
    - xds: Include total_issued_requests in LRS load reports. (upstream #7544)
    - grpc: Return INTERNAL instead of UNIMPLEMENTED when the server
      uses an unsupported compressor, aligning with gRPC spec. (upstream #7461)
    - transport: Fix possible busy-loop when conn.Write returns errors.
      (upstream #7394)
    - client: Fix race condition that could lead to orphaned connections
      and leaked resources. (upstream #7390)
    - xds: Correct locality used for load reporting with pick_first policy.
      (upstream #7378)
    - client: Prevent hang during ClientConn.Close() when network is unreachable.
      (upstream #7540)
    - transport/codec: Improve performance by avoiding double buffering
      and adding buffer reuse for encoded messages. (upstream #7424, #7356, #7432)

  * New upstream release 1.65.0.
    - credentials/tls: Allow optional enforcement of ALPN via
      GRPC_ENFORCE_ALPN_ENABLED environment variable. (upstream #7184)
    - metadata: Remove String() method from MD to improve consistency.
      (upstream #7373)
    - grpc: Add WithMaxCallAttempts option for per-channel retry configuration.
      (upstream #7229)
    - ringhash: Correctly apply endpoint weights. (upstream #7156)
    - xds: Fix bug causing xDS servers to stop accepting connections after handshaking errors.
      (upstream #7128)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Oct 2025 10:51:27 -0400
