## golang-google-grpc 1.75.1

=== debian/changelog ===
golang-google-grpc (1.75.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.75.1.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/patches/0001-Adapt-regenerate.sh-for-packaging.patch:
    refreshed.
  * Drop 0002-eliminate-problematic-files.patch: use better way to make
    autopkgtest happy.
  * debian/control: build-deps on golang-github-cespare-xxhash-dev.
  * debian/control: build-deps on golang-github-spiffe-go-spiffe-dev.
  * debian/control: build-deps on golang-gonum-v1-gonum-dev. Needed for
    tests.
  * debian/control: build-deps on golang-opentelemetry-otel-dev.
  * debian/rules: exclude failed to setup test to make autopkgtest happy.
  * debian/rules: adjust excludes to make the package builds.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 21 Dec 2025 17:47:49 +0100
