=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Tim Potter <tpot@hpe.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-github-cespare-xxhash-dev,
                golang-github-google-cel-go-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
+               golang-github-spiffe-go-spiffe-dev,
                golang-glog-dev | golang-github-golang-glog-dev,
                golang-go.opencensus-dev,
                golang-golang-x-net-dev,
@@ -19,9 +20,11 @@
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
+               golang-gonum-v1-gonum-dev,
                golang-google-cloud-dev,
                golang-google-genproto-dev (>= 0.0~git20210726.e7812ac-4),
                golang-google-protobuf-dev,
+               golang-opentelemetry-otel-dev,
                protobuf-compiler (>= 3.11.4~),
                protoc-gen-go
 Testsuite: autopkgtest-pkg-go
