=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 # envoyproxy-go-control-plane (which are not in Debian).
 export DH_GOLANG_EXCLUDES := \
 	^google.golang.org/grpc/authz \
-	^google.golang.org/grpc/balancer/weightedroundrobin \
+	^google.golang.org/grpc/balancer \
 	^google.golang.org/grpc/benchmark \
-	^google.golang.org/grpc/credentials/xds \
+	^google.golang.org/grpc/credentials \
 	^google.golang.org/grpc/examples \
 	^google.golang.org/grpc/gcp/observability \
+	^google.golang.org/grpc/health \
 	^google.golang.org/grpc/internal/credentials/xds \
 	^google.golang.org/grpc/internal/testutils \
 	^google.golang.org/grpc/internal/xds \
@@ -38,8 +39,8 @@
 	cd $(SRC_DIR) && ./scripts/regenerate.sh
 
 override_dh_auto_test:
-	# admin/test fails to setup
-	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) admin" \
+	# admin/test and test fails to setup
+	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) admin test" \
 		dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
 
 execute_after_dh_install:
